# LoadProperties Task

## LoadProperties

### Description

Load a file's contents as Ant properties. This is equivalent to <property file="..."/> except that it supports nested <filterchain> elements and it cannot be specified outside a target.

### Parameters

Attribute | Description | Required
srcFile | source file | Yes

The LoadProperties task supports nested FilterChains.

### Examples

        <loadproperties srcFile="file.properties" />

Load contents of file.properties as Ant properties.

        <loadproperties srcFile="file.properties">
          <filterchain>
            <linecontains>
              <contains value="import."/>
            <linecontains/>
          </filterchaint>
        </loadproperties>

Read the lines that contain the string "import." from the file "file.properties" and load them as Ant properties.

Copyright © 2002 Apache Software Foundation. All rights Reserved.